### Name: twslm
### Title: Normalization of cDNA microarray data using the two-way
###   semi-linear model
### Aliases: twslm non.robust.twslm robust.twslm BlockByBlock
### Keywords: robust models smooth nonparametric

### ** Examples


## Using one part of a public available dataset from Terry Speed group.
## Block one in the treatment group is chosen as an example.

data(terrycallow)
attach(terrycallow)

p<-twslm(sld=slide,geneid=id,rt=ratio,intn=intensity)

## get normalized data
normalized.data=p$ratio-p$bfit

##plot normalization curves
par(mfrow=c(3,3),cex.main=0.8,cex.lab=0.7,cex.axis=0.7,mgp=c(1,0.2,0),
         mar=c(3,3,3,1),tcl=-0.3)

for(i in 1:length(unique(p$slide))){
  plot(p$intensity[p$slide==i],p$ratio[p$slide==i],xlab="1/2log2(RG)",ylab="log2(R/G)",
     main=paste("Slide",i,sep=" "))
  ii<-order(p$intensity[p$slide==i])
  lines(p$intensity[p$slide==i][ii],p$bfit[p$slide==i][ii],col="red")
 }

detach("terrycallow")



